このスレッドは未解決です(解決したらこちらで解決済にしてください)
<<戻る

centos6.9 * openssh-5.3p1 rpmbuildできない このメッセージに返信する
日時: 2017/12/05(Tue) 11:27
名前: オカメインコ
URL: https://centossrv.com/openssh.shtml
rpmbuild -tb --clean openssh-5.3p1.tar.gz を実行すると
以下のエラーが出ます。

初めてこういうのエラーが出たので対処法がわかりません。

アドバイスよろしくお願いいたします。


checking for /proc/pid/fd directory... yes
checking for libwrap... configure: error: *** libwrap missing
エラー: /var/tmp/rpm-tmp.72988a の不正な終了ステータス (%build)


RPM ビルドエラー:
line 87: prereq is deprecated: PreReq: initscripts >= 5.20
line 89: buildprereq is deprecated: BuildPreReq: perl, openssl-devel, tcp_wrappers
line 90: buildprereq is deprecated: BuildPreReq: /bin/login
line 92: buildprereq is deprecated: BuildPreReq: glibc-devel, pam
line 103: buildprereq is deprecated: BuildPreReq: krb5-devel
line 104: buildprereq is deprecated: BuildPreReq: krb5-libs
line 117: prereq is deprecated: PreReq: openssh = 5.3p1-1, chkconfig >= 0.9
/var/tmp/rpm-tmp.72988a の不正な終了ステータス (%build)
記事編集 編集
Re: centos6.9 * openssh-5.3p1 rpmbuildできない このメッセージに返信する
日時: 2017/12/05(Tue) 11:47
名前: オカメインコ
URL: https://centossrv.com/openssh.shtml
openssh-7.6p1.tar.gz をダウンロードして、ホームページのとおりやったら
rpmbuild -tb --clean openssh-7.6p1.tar.gz
はうまくいきました。
お騒がせしました。

>rpmbuild -tb --clean openssh-5.3p1.tar.gz を実行すると
>以下のエラーが出ます。
>
>初めてこういうのエラーが出たので対処法がわかりません。
>
>アドバイスよろしくお願いいたします。
>
>
>checking for /proc/pid/fd directory... yes
>checking for libwrap... configure: error: *** libwrap missing
>エラー: /var/tmp/rpm-tmp.72988a の不正な終了ステータス (%build)
>
>
>RPM ビルドエラー:
> line 87: prereq is deprecated: PreReq: initscripts >= 5.20
> line 89: buildprereq is deprecated: BuildPreReq: perl, openssl-devel, tcp_wrappers
> line 90: buildprereq is deprecated: BuildPreReq: /bin/login
> line 92: buildprereq is deprecated: BuildPreReq: glibc-devel, pam
> line 103: buildprereq is deprecated: BuildPreReq: krb5-devel
> line 104: buildprereq is deprecated: BuildPreReq: krb5-libs
> line 117: prereq is deprecated: PreReq: openssh = 5.3p1-1, chkconfig >= 0.9
> /var/tmp/rpm-tmp.72988a の不正な終了ステータス (%build)
記事編集 編集
Re: centos6.9 * openssh-5.3p1 rpmbuildできない このメッセージに返信する
日時: 2017/12/05(Tue) 12:09
名前: stranger
URL: http://ja.528p.com/
蛇足
最近のopenssh(最新は7.6p1)は
ssh1をサポートをしなくなりました
デフォルトの鍵はecdsa(楕円曲線暗号モード)を使い
鍵の表示にはSHA256/base64を使います
オリジナルソースではlibwrap(hosts.allow)を組み込みません
使っていくうちに意味がわかります
記事編集 編集
件名※必須
名前※必須
URL
任意のパスワード (投稿後のコメント修正・削除時に使用)
画像認証※必須 投稿キー(画像で表示されている数字を入力)
コメント※必須

※質問を投稿後に自己解決された場合は、原因と行った対処を具体的に書き込み下さるよう、よろしくお願いします。

- WEB PATIO -